Announcement

Collapse
No announcement yet.

Upgrade from 3.0.7 to 3.8.1: problems

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade from 3.0.7 to 3.8.1: problems

    Hello,

    I have been using vbulletin 3.0.7 for long time and now I want to upgrade to the latest version 3.8.1 but when I tried to upgrade, upgrade script hanged at the first step (altering tables step 1/1)

    I see many posts here about this problem and it is all about to wait as large forum will take a while!. I didn't sleep for 2 days trying to figure this but no way! Always Hang at first step!

    Is there any solution to upgrade from 3.0.7 to latest version without going through all this or wait!!!!

    BTW, the databse is about 1.5 GB and attachment may be 1 GB

    Thanks in advance

  • #2
    Originally posted by askpc View Post
    Hello,

    I have been using vbulletin 3.0.7 for long time and now I want to upgrade to the latest version 3.8.1 but when I tried to upgrade, upgrade script hanged at the first step (altering tables step 1/1)

    I see many posts here about this problem and it is all about to wait as large forum will take a while!. I didn't sleep for 2 days trying to figure this but no way! Always Hang at first step!

    Is there any solution to upgrade from 3.0.7 to latest version without going through all this or wait!!!!

    BTW, the databse is about 1.5 GB and attachment may be 1 GB

    Thanks in advance
    Try to upgrade to 3.7.4 first.


    vB5 is unequivocally the best forum software, but not yet...

    Comment


    • #3
      Thank you but it doesn't help

      always hang!!!!

      Plz help we have 4 years databse that can be gone with the wind!!! I have backup for sure but we need to upgrade from 3.0.7 to the latest stable version due to security flaws!

      Is there any suggestions?

      Comment


      • #4
        Try moving attachments to the filesystem before you upgrade.

        Comment


        • #5
          If I were you, I'd do it in steps...upgrade by .1 at a time...
          How the hell were you running 3.0.7 so long with no trouble? And WHY?...
          > Follow this link for the CHEAPEST Domain Name Registration - Domain Transfers Are Even Cheaper! :)
          WoW Accounts, FFXI Accounts, Aion Accounts, FFXIV Accounts, MMORPG Market

          Comment


          • #6
            Originally posted by Cromulent View Post
            Try moving attachments to the filesystem before you upgrade.

            I think will be the best sultion as I tried to skip all attachment alteration while upgrade and everything else went smooth. So it is the attachments for sure. Thank you

            I will try and let you know

            Comment


            • #7
              I got this error while trying to change to file system:

              Database error in vBulletin 3.0.7:

              Invalid SQL:
              SELECT attachmentid, filename, filedata, filesize, userid, thumbnail
              FROM attachment
              WHERE attachmentid >= 1 AND attachmentid < 301
              ORDER BY attachmentid ASC

              mysql error: MySQL client ran out of memory

              mysql error number: 2008

              Comment


              • #8
                Problem solved!

                Hello Folks!

                Problem solved by deleting attachments!

                Comment

                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                Working...
                X